Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/openexr new aport

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Sun, 5 Oct 2014 15:04:23 +0400

---
 testing/openexr/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/openexr/APKBUILD
diff --git a/testing/openexr/APKBUILD b/testing/openexr/APKBUILD
new file mode 100644
index 0000000..bab8fbe
--- /dev/null
+++ b/testing/openexr/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor:
+# Maintainer:
+pkgname=openexr
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="An high dynamic-range image file format library"
+url="http://www.openexr.com/"
+arch="all"
+license="BSD"
+depends="ilmbase zlib"
+depends_dev="ilmbase-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download.savannah.nongnu.org/releases/openexr/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+	-mandir=/usr/share/man \
+	|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 LICENSE \
+                "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+	find "$pkgdir" -name '*.la' -delete
+}
+
+md5sums="33735d37d2ee01c6d8fbd0df94fb8b43  openexr-2.1.0.tar.gz"
+sha256sums="54486b454073c1dcb5ae9892cf0f730ffefe62f38176325281505093fd218a14  openexr-2.1.0.tar.gz"
+sha512sums="d69924331c3392b8063229391414bb90f16ce317c76cfffe5fe0fcbb25e576f6ace8320b51c2a9987fee912cedd8e69116d4b49ba716b4a5f011131a81815403  openexr-2.1.0.tar.gz"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Oct 05 2014 - 15:04:23 UTC